Bug 101106 - gsm_circularity_ck violation when selecting multiple parties to add to Author role
gsm_circularity_ck violation when selecting multiple parties to add to Author...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Archit Shah
Jon Orris
:
Depends On:
Blocks: 108447
  Show dependency treegraph
 
Reported: 2003-07-29 00:38 EDT by Dennis Gregorovic
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 16:00:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
acs error report (20.41 KB, text/plain)
2003-07-29 00:39 EDT, Dennis Gregorovic
no flags Details

  None (edit)
Description Dennis Gregorovic 2003-07-29 00:38:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030716

Description of problem:
In the 'content' content section, I went to Roles/Author/Add Member.  I searched
on 'admin'.  This returned a number of results.  I selected 'Account,
Administrator' (the SWA) and 'content Administration Author'.  I then clicked
'Add Members' and got the constraint violation.  I then successfully added the
Account Administrator user by itself.  I did not try any other permutations.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.see description
2.
3.
    

Actual Results:  check constraint violated

Expected Results:  constraint not violated and all parties added to the role

Additional info:
Comment 1 Dennis Gregorovic 2003-07-29 00:39:29 EDT
Created attachment 93213 [details]
acs error report
Comment 2 Richard Li 2003-07-29 14:12:37 EDT
retarget for troika errata; not a regression
Comment 3 Archit Shah 2003-08-27 11:46:32 EDT
the Roles/Author/Add Member UI is adding to the "content Administration Author"
group. So you were actually trying to add a group to itself. The violation is
correct. This is a UI bug. It should be cleaned up to fail better.

Note You need to log in before you can comment on or make changes to this bug.